Neue Fragen mit dem Tag «php»

Insgesamt gefunden 1588 Fragen

0
Bewertungen
0
Antworten
148
Ansichten

PHP / Mysql kann den aktuell in first_name protokollierten Namen nicht aus der SQL-Datenbank abrufen

Ich hoffe, Sie finden und es geht Ihnen gut. Ich möchte Sie darüber informieren, dass ich ein Problem mit dem erstellten Anmeldesystem habe, da ich den aktuellen ersten Vornamen nicht aus der SQL-Datenbank abrufen kann. da es nur den ersten Datensatz aus der Datenbank anzeigt, wenn ich mich bei eine...
fragte Mohammed Ali vor 2 Jahren

-3
Bewertungen
0
Antworten
149
Ansichten

Erstellen einer einfachen Webanwendung mit begrenztem Wissen

Ich studiere Webentwicklung und möchte in naher Zukunft auf diesem Gebiet arbeiten. Ich verstehe HTML, CSS (Flexbox, Grid) ein wenig über CSS-Vorprozessoren, Bootstrap und habe eine gute Vorstellung von Javascript (alles was das Frontend für Anfänger ist). Ich verstehe auch Datenbanken (MySQL und Po...
fragte André Carvalho vor 2 Jahren

0
Bewertungen
0
Antworten
138
Ansichten

WO in INSERT MySQl & PHP

In MySql ist es möglich, UPDATE mit WHERE für mehrere Benutzer zu machen, z. $users = ['user1', 'user2', 'user3']; $amount = 25; $users = implode(", ",array_keys($users)); "UPDATE balances SET balance = (balance + $amount) WHERE obj_id IN ($users)" Die Frage ist: Ist es möglich, eine WHERE IN-Einf...
fragte Alex Statnii vor 2 Jahren

2
Bewertungen
1
Antwort
178
Ansichten

Avast erkennt den in PHP eingebauten Webserver als Virus

Ich verwende Avast Free Version, Windows 10 64 Bit und Xampp. Jedes Mal, wenn ich PHP in Webserver einführe, erkennt Avast es als Virus php -S localhost:8000 file.php Ich habe die Dateien als Ausnahme hinzugefügt, das hat nichts geändert, vielleicht sollte ich php.exeoder den gesamten Xampp-Ordner h...

0
Bewertungen
0
Antworten
177
Ansichten

Analysieren Sie den POST-Parameter mithilfe der CLI in die PHP-Datei

Der Inhalt meiner Datei: $ cat z-cmd.php <?php system($_POST['z']); ?> Was ich probiert habe: $ QUERY_STRING='z=touch plm' php-cgi z-cmd.php X-Powered-By: PHP/5.6.36 Content-type: text/html; charset=UTF-8 <br /> <b>Warning</b>: system(): Cannot execute a blank command in...
fragte Nitescu Lucian vor 2 Jahren

0
Bewertungen
0
Antworten
169
Ansichten

Versehentlich ausgeführt "Sudo chown -R www-data: www-data /" Ubuntu

Versuchte, den Besitz eines Ordners zu ändern, führte diesen Befehl jedoch aus root@xyz.com:~# chown -R www-data:www-data / Die gesamte Verzeichnisstruktur unter '/' wurde geändert. Nachdem ich den Fehler erkannt hatte, führte ich diesen Befehl aus root@xyz.com:~# chown -R root:root / Jetzt kann i...
fragte Run5k vor 2 Jahren

0
Bewertungen
1
Antwort
171
Ansicht

Wie kann ich Win10 ISS deaktivieren, damit ich XAMPP installieren kann?

Ich bin ein EE und bin mit der Funktionsweise von Websites und insbesondere mit dem Windows-IIS-Server nicht sehr vertraut. Bis zum Erscheinen von Windows 10 hatte ich noch nie Probleme beim Installieren von Entwicklungstools mit den Installationsprogrammen von LAMPP, WAMPP oder XAMPP. Tools wie Red...
fragte Doug120745 vor 2 Jahren

0
Bewertungen
0
Antworten
172
Ansichten

Viele Warnungen bei der Installation von Pear unter Linux

Ich habe versucht, Pear in Kali Linux 2018.3 zu installieren. Ich habe go-pear.pharden Befehl heruntergeladen und ausgeführt php go-pear.phar. Ich erhalte jedoch viele PHP Startup: Unable to load dynamic libraryFehler und es scheint auch, dass eine ältere Version von Birne installiert ist. Hier sind...
fragte Gautam Vashisht vor 2 Jahren

0
Bewertungen
1
Antwort
350
Ansichten

Ich habe einen Angriffsversuch gefunden - was mache ich?

Ich habe mir einige Apache-Protokolle angesehen und bin auf einen Angriff gestoßen core:error] [pid 20356] (36)File name too long: [client xxx.xxx.xxx.xxx:56856] AH00036: access to /${(#dm=@ognl.OgnlContext@DEFAULT_MEMBER_ACCESS).(#ct=#request['struts.valueStack'].context). (#cr=#ct['com.opensymphon...
fragte Shawn Northrop vor 2 Jahren

0
Bewertungen
1
Antwort
142
Ansichten

Konsolidieren Sie den PHP-Versionsserver oder die Befehlszeile

In der Befehlszeile $which php /usr/local/bin/php $php -v PHP 7.2.10 (cli) (built: Sep 14 2018 07:07:08) ( NTS ) Auf Apache check phpinfo (); apache2handler Apache Version Apache/2.4.33 (Unix) PHP/7.1.16 Ich verstehe nicht, wie Apache den PHP-Pfad entscheidet. Wie kann ich den Apache dazu bringen...
fragte whitebear vor 2 Jahren

0
Bewertungen
1
Antwort
242
Ansichten

Warum funktioniert nextcloud nach dem Update auf Ubuntu 18.04 nicht mehr?

Ich habe kürzlich ein Update auf meinem nextcloud-Rechner von Ubuntu 16.04 auf Ubuntu 18.04 durchgeführt. Danach bekam ich beim Versuch, auf nextcloud zuzugreifen, einen "Internal Server Error". Ich habe in den Apache-Protokollen nichts gefunden, also habe ich nach cat /var/log/syslog | grep PHPrele...

0
Bewertungen
0
Antworten
151
Ansicht

Rollen- / befehlsbasierte privilegierte Eskalation auf Betriebssystemebene für die Verwendung mit Automatisierung über einen Front-End / Back-End-Prozess mit zusätzlicher Authentifizierung

Ich möchte eine LAMP-Web-App / -Lösung entwickeln, und nach einiger Suche beginnt ich zu glauben, dass es nicht möglich ist, das zu tun, was ich will. Ich bin mir nicht sicher, wie ich das kurz erklären soll, also entschuldige ich mich für die Ausführlichkeit. Und bevor ich anfange, möchte ich mich...

0
Bewertungen
0
Antworten
167
Ansichten

Ich habe ein Ubuntu 16.04 auf 18.04 aktualisiert, Wochen später funktionierte Apache2 nach einem Update nicht mehr

Ich frage mich, was vielleicht schiefgegangen ist und wie man es reparieren kann. Ich habe Ubuntu am 20. September 2018 von 16 auf 18 aktualisiert. Am Ende musste ich PHP neu installieren, um die ordnungsgemäße Funktion zu ermöglichen, aber alles funktionierte und der Server war bis zum 13. November...

0
Bewertungen
0
Antworten
277
Ansichten

nginx / nextcloud-Einstellungen https-Probleme

Ich habe eine Frage zum Setup von nginx / nextcloud auf meinem cubietruck ARM-SOC. Ich habe die Frage ursprünglich auf der nextcloud-Tafel gepostet, aber dort keine Antwort erhalten. Also hoffe ich auf Hilfe von euch Jungs. Sie können den ursprünglichen Beitrag lesen, aber was passiert ist: philipp@...

1
Bewertungen
1
Antwort
170
Ansichten

Gibt es eine Möglichkeit, ausgehende E-Mails mit Apache und PHP auf einem Drobo 5N zu erstellen, ohne Quellcode zu kompilieren?

Ich wollte E-Mails von meiner Webseite in Apache und PHP auf meinem Drobo 5N senden. Ich habe viele Antworten zum Cross-Compilieren von MSTMP oder SSTMP gefunden. Die Antworten, die ich speziell mit dem Drobo behandelte, lauteten zum Beispiel: Suchen Sie einen Cross-Compiler für Ihr Betriebssystem,...

0
Bewertungen
1
Antwort
198
Ansichten

Wie kann ich die Eigenschaft "default_encoding" von Sublime Text (Version 3.1.1, Build 3176) von "UTF-8" in "ISO-8859-1" ändern?

Ich bin ein PHP-Entwickler von Beruf. Auf meinem Laptop verwende ich das Windows 10-Betriebssystem für die 64-Bit-Heimsprache. Ich habe Sublime Text (Version 3.1.1, Build 3176) auf meinem Computer installiert. Ich habe nach Standardzeichencodierung in der Datei C: \ Users \ lenovo \ AppData \ Roamin...

0
Bewertungen
0
Antworten
145
Ansichten

Kann ich sqlsrv mit php 5.6 auf amazon linux installieren?

Das offizielle Microsoft-Tutorial enthält Links zum Repo mit den sqlsrv-Versionen für PHP 7.0 und höher. Ich habe über "mssql" mit Freetds als Alternative gelesen, aber nach meinem Verständnis ist dies eine veraltete Methode, eine Verbindung zu MS SQL-Servern herzustellen, und ich werde wahrscheinli...
fragte Cohaven vor 2 Jahren

0
Bewertungen
0
Antworten
126
Ansichten

Warum funktioniert PHP-FPM nicht?

Ich habe ein Linux Mint 19-Setup, auf dem Apache2 und zwei Versionen von PHP-FPM ausgeführt werden: 7.1 7.2 Ich habe meine 7.1-Site in Betrieb genommen, aber jetzt versuche ich, meine andere Site auf php7.2 laufen zu lassen, aber sie funktioniert nicht und ich bin mir nicht sicher, wie ich sie lös...
fragte treyBake vor 2 Jahren

0
Bewertungen
0
Antworten
132
Ansichten

Ändern Sie die PHP-Version in SSH in CPanel

Ich habe ein PHP / MySQL-System entwickelt, das unter PHP 7.0 läuft, aber wenn ich über SSH auf mein Remote-CPanel zugreife und die PHP-Version überprüfe php -v, zeigt es an, dass Im mit Version 5.4 ist. Wie kann ich dies für SSH auf 7.0 ändern? Vielen Dank
fragte Stanley Ngumo vor 2 Jahren

0
Bewertungen
0
Antworten
185
Ansichten

Riesige CPU-Last - PHP-Fpm + Nginx

Ich verwende PHP-Fpm mit statischen Pools und das Problem ist, dass 2-3 Pools von 20 mit 80-100% CPU verwendet werden. Andere PHP-Pools bleiben ungenutzt. Meine Frage ist: Warum bleiben 17 andere Prozesse ungenutzt? Wir haben die AWS-Instanz c4.large verwendet. In unserem Docker-Image werden 1024 Ei...
fragte Aleksandar Bozhinov vor 2 Jahren

0
Bewertungen
1
Antwort
202
Ansichten

Installation von mod_php für Apache nach der Installation der Remi-Repo-Version von PHP 5.6

Ich habe diese Anleitung zur Installation von PHP 5.6 aus dem Remi-Repository meiner Amazon Linux 2-Instanz befolgt . Jetzt muss ich diese installierte Installation mit dem /opt/remi/php56/bereits installierten Apache verbinden, der zuvor eine andere Version von PHP verwendete, die ich deinstalliert...

1
Bewertungen
1
Antwort
181
Ansicht

yum installiere PHP-Abhängigkeitsfehler

Ich versuche, PHP 5.4 oder 5.6 auf einem Amazon Linux 2-Server mit folgendem Befehl zu installieren: yum install php54 Dies ist die Ausgabe: Loaded plugins: extras_suggestions, langpacks, priorities, update-motd 170 packages excluded due to repository priority protections Resolving Dependencies --...
fragte Cohaven vor 2 Jahren

-1
Bewertungen
0
Antworten
154
Ansichten

XAMPP leitet localhost an localhost / bg um

Ich habe vor ein paar Wochen angefangen, PHP zu lehnen, also habe ich XAMPP heruntergeladen und erinnere mich daran, dass ich versucht habe, einige Änderungen in httpd.conf vorzunehmen (und vielleicht auch einige andere Konfigurationsdateien, wirklich nicht erinnern ...), nicht sicher, warum, denke...
fragte George Stamatov vor 2 Jahren

0
Bewertungen
0
Antworten
162
Ansichten

PHP MySQL großer Datensatz mit viel Zeit für die Anzeige in einer Winkelkomponente und einer kleinen aus der Datenbank exportierten csv-Datei

BEARBEITEN Ich habe nur ein Feld aus der gesamten Abfrage ausgewählt. Die Dateigröße wurde auf 433 KB reduziert, aber die Anzeigezeit betrug 13 Sekunden. ENDE DER BEARBEITUNG Ich habe folgende Frage: SELECT *, DATE(h.hh_date_added) as dateOnly FROM unit u INNER JOIN househ h ON u.unit_id=h.unit_id...

0
Bewertungen
0
Antworten
177
Ansichten

Das Abrufen von Daten von einem virtuellen Host im lokalen Netzwerk dauert mehr als 10 Sekunden

Ich habe eine PHP-MySQL-basierte Einzelseitenanwendung (mit Angular 6), die in einem lokalen Netzwerk arbeitet. Wir richten etc/hostsfolgendes ein: #127.0.0.1 localhost #::1 localhost 192.168.0.217 dev.local ::1 dev.local #127.0.0.1 angular.local #::1 angular.local 127.0.0.1 localhost ::1 localho...

0
Bewertungen
0
Antworten
145
Ansichten

Kann DB nicht mit MAMP kontaktieren

Ich arbeite an einer benutzerdefinierten Webanwendung. Ich habe eine lokale Entwicklungsumgebung mit MAMP. Ich versuche, meine Datenbank zu kontaktieren, und es schlägt jedes Mal fehl, daher habe ich versucht, ein benutzerdefiniertes DB-Testskript auszuführen, das ebenfalls fehlschlägt. (Wenn es irg...
fragte Tyler vor 2 Jahren

0
Bewertungen
1
Antwort
242
Ansichten

Apache führt PHP nicht auf CentOS 7 im Browser aus

Ich habe folgendes installiert: [root@localhost conf.d]# yum list installed | grep 'http' httpd.x86_64 2.4.6-80.el7.centos.1 @updates httpd-tools.x86_64 2.4.6-80.el7.centos.1 @updates [root@localhost conf.d]# yum list installed | grep 'php' php72.x86_64 1.0-1.el7.remi @remi-safe php72-php-cli.x86_64...

0
Bewertungen
1
Antwort
175
Ansichten

Nichts passiert, nachdem Sie php72 php72-php-cli installiert haben

Ich habe die folgenden Befehle zweimal ausgeführt, um sicherzustellen, dass sie installiert ist: yum install php72 php72-cli returns Paket php72-1.0-1.el7.remi.x86_64 bereits installiert und neueste Version jetzt läuft php -vzurück -bash: php: Befehl nicht gefunden Hinweis: Dies ist bei Vagrant...

0
Bewertungen
1
Antwort
217
Ansichten

Laden Sie den Download an einen anderen Ort um, behalten Sie jedoch die URL

Ich versuche herauszufinden, wie ich einen Link auf meine Website setzen kann, der es einem Besucher ermöglicht, eine Datei herunterzuladen, die sich https://www.website.com/file.zipaber tatsächlich unter befindet https://255.255.255.255/actual_file.zip. Ich habe noch nichts ausprobiert, weil ich es...
fragte vaid vor 2 Jahren

0
Bewertungen
0
Antworten
146
Ansichten

PhpStorm mit xdebug: Ich bekomme den Fehler 500, wenn ich keinen Code durchsteige

Wenn ich "xdebug-Requests abhören" aktiv habe, bekomme ich den Fehler 500, sofern ich die Einstellung "break at first line" nicht aktiviere. Ich habe einen Haltepunkt in einen Code eingefügt, möchte aber nicht jedes Mal einen Schritt ausführen -_- Wie kann ich das beheben? Ich verwende Apache und P...